Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.collection
Interface CompositeCollection.CollectionMutator

All Known Subinterfaces:
  CompositeSet.SetMutator

Enclosing interface:
  CompositeCollection

public static interface CompositeCollection.CollectionMutator

Pluggable strategy to handle changes to the composite.

Method Summary
`boolean` | `add(CompositeCollection composite, Collection[] collections, Object obj)` Called when an object is to be added to the composite.
`boolean` | `addAll(CompositeCollection composite, Collection[] collections, Collection coll)` Called when a collection is to be added to the composite.
`boolean` | `remove(CompositeCollection composite, Collection[] collections, Object obj)` Called when an object is to be removed to the composite.

Method Detail

### add

    public boolean add(CompositeCollection composite,
                       Collection[] collections,
                       Object obj)

  Called when an object is to be added to the composite.

  Parameters:
    `composite` - the CompositeCollection being changed
    `collections` - all of the Collection instances in this CompositeCollection
    `obj` - the object being added
  Returns:
    true if the collection is changed
  Throws:
    `UnsupportedOperationException` - if add is unsupported
    `ClassCastException` - if the object cannot be added due to its type
    `NullPointerException` - if the object cannot be added because its null
    `IllegalArgumentException` - if the object cannot be added

### addAll

    public boolean addAll(CompositeCollection composite,
                          Collection[] collections,
                          Collection coll)

  Called when a collection is to be added to the composite.

  Parameters:
    `composite` - the CompositeCollection being changed
    `collections` - all of the Collection instances in this CompositeCollection
    `coll` - the collection being added
  Returns:
    true if the collection is changed
  Throws:
    `UnsupportedOperationException` - if add is unsupported
    `ClassCastException` - if the object cannot be added due to its type
    `NullPointerException` - if the object cannot be added because its null
    `IllegalArgumentException` - if the object cannot be added

### remove

    public boolean remove(CompositeCollection composite,
                          Collection[] collections,
                          Object obj)

  Called when an object is to be removed to the composite.

  Parameters:
    `composite` - the CompositeCollection being changed
    `collections` - all of the Collection instances in this CompositeCollection
    `obj` - the object being removed
  Returns:
    true if the collection is changed
  Throws:
    `UnsupportedOperationException` - if removed is unsupported
    `ClassCastException` - if the object cannot be removed due to its type
    `NullPointerException` - if the object cannot be removed because its null
    `IllegalArgumentException` - if the object cannot be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.